Last Comment Bug 679615 - Remove config/gtscc.c
: Remove config/gtscc.c
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 9
Assigned To: Matheus Kerschbaum
:
:
Mentors:
Depends on:
Blocks: cppcheck
  Show dependency treegraph
 
Reported: 2011-08-16 23:58 PDT by David Volgyes
Modified: 2011-08-21 11:33 PDT (History)
6 users (show)
Ms2ger: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (63.18 KB, patch)
2011-08-17 17:54 PDT, Matheus Kerschbaum
ted: review+
Details | Diff | Splinter Review

Description David Volgyes 2011-08-16 23:58:25 PDT
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:6.0) Gecko/20100101 Firefox/6.0
Build ID: 20110812233755

Steps to reproduce:

cppcheck found some memory leak in gtscc.c.


Actual results:

These are the reported leaks:
[firefox-src/config/gtscc.c:764]: (error) Memory leak: source
[firefox-src/config/gtscc.c:764]: (error) Memory leak: object
[firefox-src/config/gtscc.c:1247]: (error) Memory leak: archive
[firefox-src/config/gtscc.c:2506]: (error) Memory leak: table
[firefox-src/config/gtscc.c:2506]: (error) Memory leak: dmap



Expected results:

You should release the objects before exit point. 

However, these bugs are not too importants, because the itself a program, and the memory will be released, when the program ends.
Comment 1 Mike Hommey [:glandium] 2011-08-17 03:52:21 PDT
There aren't even rules to build that program.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-08-17 05:19:30 PDT
Someone should just hg rm it.
Comment 4 Mike Hommey [:glandium] 2011-08-17 05:31:38 PDT
and remove the reference in the packager.mk.
Comment 5 David Volgyes 2011-08-17 08:19:16 PDT
(In reply to Mike Hommey [:glandium] from comment #1)
> There aren't even rules to build that program.

That highlights a drawback of cppcheck: 
cppcheck does not use makefile (or other rule file), it is just scan all the source files, so it produces warning for unused files too. 

Maybe a cleanup would be useful. Probably there are some other unused files in the trunk.
Comment 6 Matheus Kerschbaum 2011-08-17 17:54:04 PDT
Created attachment 553969 [details] [diff] [review]
patch
Comment 7 Ted Mielczarek [:ted.mielczarek] 2011-08-18 04:33:45 PDT
Comment on attachment 553969 [details] [diff] [review]
patch

Review of attachment 553969 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks!
Comment 9 Ed Morley [:emorley] 2011-08-21 11:33:20 PDT
http://hg.mozilla.org/mozilla-central/rev/5d5f7e60a322

Note You need to log in before you can comment on or make changes to this bug.